Subject: Re: [bug#55989] [PATCH 1/2] gnu: Add python-pydicom.

From: Antero Mejr <[email-masked]>
Date: Wed, 15 Jun 2022 15:40:52 +0000

Maxime Devos <[email-masked]> writes:

> How about only disabling tests that download from the web?
> Are all of these test failures due to downloading from the web or are
> there some other tests too?

Sure, see updated patch. I looked through the error log to confirm
that the tests were failing due to missing data. I also did an
end-to-end test of pydicom by importing it, then reading/writing
a DICOM file.

>
>> +    (synopsis "Pure Python package for reading and writing DICOM data")
>
> Unlike some language-specific package managers, Guix supports using dependents
> from other languages without any complications, so no need to mention ‘Pure’
> here.
>

OK, updated.

>> + pydicom provides a pure Python package
>
> It doesn't provide a Python package, it is a Python package, especially if pydicom
> is replaced by @code{python-pydicom}.
>

Updated.